package model;

import com.alibaba.fastjson.annotation.JSONField;
import config.DBType;

public class DataSourceModel {
    private String host;
    private int port;
    private String username;
    private String password;
    private String dbName;
    private String dbDesc;
    private DBType dbType;
    private String factoryBean;
    private String mapperXmlPath;
    private String transactionManagerBean;

    @JSONField
    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    @JSONField
    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    @JSONField
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @JSONField
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @JSONField
    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    @JSONField
    public String getDbDesc() {
        return dbDesc;
    }

    public void setDbDesc(String dbDesc) {
        this.dbDesc = dbDesc;
    }

    @JSONField
    public DBType getDbType() {
        return dbType;
    }

    public void setDbType(DBType dbType) {
        this.dbType = dbType;
    }

    @JSONField
    public String getFactoryBean() {
        return factoryBean;
    }

    public void setFactoryBean(String factoryBean) {
        this.factoryBean = factoryBean;
    }

    @JSONField
    public String getMapperXmlPath() {
        return mapperXmlPath;
    }

    public void setMapperXmlPath(String mapperXmlPath) {
        this.mapperXmlPath = mapperXmlPath;
    }

    @JSONField
    public String getTransactionManagerBean() {
        return transactionManagerBean;
    }

    public void setTransactionManagerBean(String transactionManagerBean) {
        this.transactionManagerBean = transactionManagerBean;
    }
}
