package model;

import com.alibaba.fastjson.annotation.JSONField;
import config.DBType;

import java.lang.annotation.Annotation;

public class DataSourceModel {
    private String host;
    private int port;
    private String username;
    private String password;
    private String dbName;
    private DBType dbType;
    private String dbDesc;
    private Class<? extends Annotation> annotation;
    private String sessionFactoryBean;
    private String hibernateBean;
    private String transactionManagerBean;
    private String packagesToScan[];

    @JSONField
    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    @JSONField
    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    @JSONField
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @JSONField
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @JSONField
    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    @JSONField
    public DBType getDbType() {
        return dbType;
    }

    public void setDbType(DBType dbType) {
        this.dbType = dbType;
    }

    @JSONField
    public String getDbDesc() {
        return dbDesc;
    }

    public void setDbDesc(String dbDesc) {
        this.dbDesc = dbDesc;
    }

    @JSONField
    public Class<? extends Annotation> getAnnotation() {
        return annotation;
    }

    public void setAnnotation(Class<? extends Annotation> annotation) {
        this.annotation = annotation;
    }

    @JSONField
    public String getSessionFactoryBean() {
        return sessionFactoryBean;
    }

    public void setSessionFactoryBean(String sessionFactoryBean) {
        this.sessionFactoryBean = sessionFactoryBean;
    }

    @JSONField
    public String getHibernateBean() {
        return hibernateBean;
    }

    public void setHibernateBean(String hibernateBean) {
        this.hibernateBean = hibernateBean;
    }

    @JSONField
    public String getTransactionManagerBean() {
        return transactionManagerBean;
    }

    public void setTransactionManagerBean(String transactionManagerBean) {
        this.transactionManagerBean = transactionManagerBean;
    }

    @JSONField
    public String[] getPackagesToScan() {
        return packagesToScan;
    }

    public void setPackagesToScan(String... packagesToScan) {
        this.packagesToScan = packagesToScan;
    }
}
