package config;


import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.util.ClassUtils;

public class InitConfig implements InitializingBean {
    public static final Logger LOG = LogManager.getLogger();

    @Override
    public void afterPropertiesSet() throws Exception {
        LOG.info("初始化"+ ClassUtils.getUserClass(this.getClass())+"配置");
    }
}
